<template>
  <div class="locale-changer flex absolute top-0 right-0 mt-4 mr-4">
    <div v-for="(lang, index) in langs" :key="index">
      <button :value="lang" @click="handleLanguageChange(lang)" :class="$i18n.locale === lang ? 'font-bold' : ''" class="mx-1 text-lg text-tertiary">
        {{ lang }}
      </button>
      <slot v-if="index != 1">
        <span class="text-tertiary">|</span>
      </slot>
    </div>
  </div>
</template>

<script>
export default {
  name: "language-selector",
  data: () => {
    return {
      langs: ["en", "es"],
    };
  },
  methods: {
    handleLanguageChange: function (lang) {
      this.$i18n.locale = lang;
    },
  },
};
</script>

<style scoped>
</style>
